<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>TSGetType</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="TSGetType"><H1>TSGetType</H1></A>
Gets the <A HREF="../TS/TS.html#TS">TS</A> method type (as a string). 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscts.h"  
PetscErrorCode PETSCTS_DLLEXPORT TSGetType(TS ts, TSType *type)
</PRE>
Not Collective
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B>ts </B> -The <A HREF="../TS/TS.html#TS">TS</A>
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<DT><B>type </B> -The name of <A HREF="../TS/TS.html#TS">TS</A> method
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Keywords</FONT></H3>
 <A HREF="../TS/TS.html#TS">TS</A>, timestepper, get, type, name
<BR>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
<A HREF="../TS/TSSetType.html#TSSetType">TSSetType</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>intermediate
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/ts/interface/tsreg.c.html#TSGetType">src/ts/interface/tsreg.c</A>
<BR><A HREF="./index.html">Index of all TS routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
